# Tony's Home Assistant Configs

Just a place to track my work on my personal Home Assistant configuration, and learn as I go. Maybe also TRY to keep myself a little bit more organized ;)

## Node-RED flows

My Node-RED flows can be found at [HA-NerdFlows](https://gitea.nerdhomeinc.com/home_automation/HA-NerdFlows). Additionally, code used in function nodes in my Node-RED flows can be found at [HA-NerdFlows-Functions](https://gitea.nerdhomeinc.com/home_automation/HA-NerdFlows-Functions).

## Attributions

I am fairly new to this, and while I'm learning to do a lot of it myself, I have definitely pulled ideas (in most cases modifying them for my needs) from other sources as well. Some of the most noteworthy are below.

- [SlackerLabs](https://github.com/thejeffreystone/homeassistant-config) - This guy has a lot of EXCELLENT videos on [his YouTube channel](https://www.youtube.com/c/SlackerLabs) and is very good at explaining things in a way that someone new to all of this can understand. *His old repo where I got a lot of my ideas is [here](https://github.com/thejeffreystone/home-assistant-configuration).*
- [Everything Smart Home](https://www.youtube.com/c/EverythingSmartHome) - I haven't used much code from him, because to my knowledge he doesn't publish it anywhere. But his videos ARE very informative and well-made, and I have learned a lot from watching them. Many ideas have been gained from this channel.

## HACS Components

These aren't all the ones I have installed...just the ones I am actively **using** or **will use soon**

<details>
<summary>Click here</summary>

- [Adaptive Lighting](https://github.com/basnijholt/adaptive-lighting)
- [Alexa Media Player](https://github.com/custom-components/alexa_media_player)
- [Weatheralerts](https://github.com/custom-components/weatheralerts)
- [Spotcast](https://github.com/fondberg/spotcast)
- [iCloud3](https://github.com/gcobb321/icloud3)
- [Mail and Packages](https://github.com/moralmunky/Home-Assistant-Mail-And-Packages)
- [Scheduler](https://github.com/nielsfaber/scheduler-component)
- [Anniversaries](https://github.com/pinkywafer/Anniversaries)
- [Presence Simulation](https://github.com/slashback100/presence_simulation)
- [Node-RED Companion](https://github.com/zachowj/hass-node-red)
- [Holidays](https://github.com/bruxy70/Holidays)
- [Twitch Helix](https://github.com/Radioh/ha_twitch_helix)
- [Pirate Weather](https://github.com/alexander0042/pirate-weather-ha)
- [Holidays](https://github.com/bruxy70/Holidays)
- [Thermal Comfort](https://github.com/dolezsa/thermal_comfort)
- [HASS.Agent Notifier](https://github.com/LAB02-Research/HASS.Agent-Notifier)
- [HASS.Agent Media Player](https://github.com/LAB02-Research/HASS.Agent-MediaPlayer)
- [Music Assistant](https://github.com/music-assistant/hass-music-assistant)
- [Blitzortung Lightning Detector](https://github.com/mrk-its/homeassistant-blitzortung)
- [Midea Air Conditioning](https://github.com/wuwentao/midea_ac_lan)
- [WeatherAPI](https://github.com/iprak/weatherapi)
- [Browser Mod](https://github.com/thomasloven/hass-browser_mod)
- [Watchman](https://github.com/dummylabs/thewatchman)
- [HA Team Tracker](https://github.com/vasqued2/ha-teamtracker)
- [PyScript](https://github.com/custom-components/pyscript)
- [Hass Animated Scenes](https://github.com/chazzu/hass-animated-scenes)
- [Jokes](https://github.com/LaggAt/ha-jokes)
- [Uptime Kuma](https://github.com/meichthys/uptime_kuma)
- [Jellyfin](https://github.com/koying/jellyfin_ha)
- [Sonoff LAN](https://github.com/AlexxIT/SonoffLAN)
- [Powercalc](https://github.com/bramstroker/homeassistant-powercalc)
- [Govee LAN Control](https://github.com/wez/govee-lan-hass)
- [Discord Game](https://github.com/LordBoos/discord_game)
- [Versatile Thermostat](https://github.com/jmcollin78/versatile_thermostat)
- [GasBuddy](https://github.com/firstof9/ha-gasbuddy)
- [Union Pacific Big Boy Tracker](https://github.com/jheizer/up_4014_tracker)
- [WeatherFlow Forecast](https://github.com/briis/weatherflow_forecast)

</details>

## HACS Lovelace Cards

Again, mostly just the ones I'm **using** or **will use soon**...also a few that I'm putting in here so that I don't forget about them later.

<details>
<summary>Click here</summary>

- [Bubble Card](https://github.com/Clooos/Bubble-Card) Backbone of the new mobile dashboard
- [Config Template Card](https://github.com/iantrich/config-template-card)
- [Streamline Card](https://github.com/brunosabot/streamline-card)
- [Layout Card](https://github.com/thomasloven/lovelace-layout-card)
- [Scheduler Card](https://github.com/nielsfaber/scheduler-card) (required for Scheduler component)
- [Horizon Card](https://github.com/rejuvenate/lovelace-horizon-card)
- [Lovelace Home Feed Card](https://github.com/gadgetchnnel/lovelace-home-feed-card)
- [Mini Graph Card](https://github.com/kalkih/mini-graph-card)
- [Battery State Card](https://github.com/maxwroc/battery-state-card)
- [Flipdown Timer Card](https://github.com/pmongloid/flipdown-timer-card)
- [Atomic Calendar Revive](https://github.com/totaldebug/atomic-calendar-revive)
- [Plotly Graph Card](https://github.com/dbuezas/lovelace-plotly-graph-card)
- [Mushroom](https://github.com/piitaya/lovelace-mushroom)
- [Apexcharts Card](https://github.com/RomRider/apexcharts-card)
- [Auto Entities Card](https://github.com/thomasloven/lovelace-auto-entities)
- [Weather Radar Card](https://github.com/Makin-Things/weather-radar-card)
- [Stack In Card](https://github.com/custom-cards/stack-in-card)
- [Paper Buttons Row](https://github.com/jcwillox/lovelace-paper-buttons-row)
- [State Switch](https://github.com/thomasloven/lovelace-state-switch)
- [Multiple Entity Row](https://github.com/benct/lovelace-multiple-entity-row)
- [Weather Card](https://github.com/bramkragten/weather-card)
- [Template Entity Row](https://github.com/thomasloven/lovelace-template-entity-row)
- [Waze Travel Time](https://github.com/r-renato/ha-card-waze-travel-time)
- [Fold Entity Row](https://github.com/thomasloven/lovelace-fold-entity-row)
- [Room Card](https://github.com/marcokreeft87/room-card)
- [Simple Thermostat Card](https://github.com/nervetattoo/simple-thermostat)
- [Clock Weather Card](https://github.com/pkissling/clock-weather-card)
- [Tabbed Card](https://github.com/kinghat/tabbed-card)
- [HA Team Tracker Card](https://github.com/vasqued2/ha-teamtracker-card)
- [Banner Card](https://github.com/nervetattoo/banner-card)
- [Card Templater](https://github.com/gadgetchnnel/lovelace-card-templater)
- [Button Card](https://github.com/custom-cards/button-card)
- [Number Box Card](https://github.com/htmltiger/numberbox-card)
- [Restriction Card](https://github.com/iantrich/restriction-card)
- [Timer Bar Card](https://github.com/rianadon/timer-bar-card)
- [Sankey Chart Card](https://github.com/MindFreeze/ha-sankey-chart)
- [Hourly Weather Card](https://github.com/decompil3d/lovelace-hourly-weather)
- [Formula One Card](https://github.com/marcokreeft87/formulaone-card)
- [UV Index Card](https://github.com/t1gr0u/uv-index-card)
- [Windrose Card](https://github.com/aukedejong/lovelace-windrose-card)
- [Meteoalarm Card](https://github.com/MrBartusek/MeteoalarmCard)
- [Weather Chart Card](https://github.com/mlamberts78/weather-chart-card)
- [Comfortable Environment Card](https://github.com/argaar/comfortable-environment-card)
- [Versatile Thermostat UI Card](https://github.com/jmcollin78/versatile-thermostat-ui-card)

</details>

## AppDaemon Apps

<details>
<summary>Click here</summary>

- [Lightwand](https://github.com/Pythm/ad-Lightwand)

</details>

## Custom Jinja2 Templates/Macros

<details>
<summary>Click here</summary>

- [Easy Time](https://github.com/Petro31/easy-time-jinja)
- [Relative Time](https://github.com/TheFes/relative-time-plus)

</details>

## Themes/Icons

<details>
<summary>Click here</summary>

- [Noctis](https://github.com/tm24fan8/noctis) - *edited for my specific needs*
- [Hass Hue Icons](https://github.com/arallsopp/hass-hue-icons)
- [Thermal Comfort Icons](https://github.com/rautesamtr/thermal_comfort_icons)
- [BHA Icon Pack](https://github.com/hulkhaugen/hass-bha-icons)
- [Custom Icons Library](https://github.com/Mariusthvdb/custom-icons)
- [FontAwesome](https://github.com/thomasloven/hass-fontawesome)
- [Material Symbols](https://github.com/beecho01/material-symbols)

</details>
